Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:Yes Copied to github as #: 17367

Description

In the list of installed plugins of QGIS 2.0.1 (installed with OSGeo4W), the first entry "Add delimited Text" is deactivated.

Activating the plugin causes QGIS to crash.

In fact, adding delimited text is still working from the Layers menue, so the status of the plugin is wrong, orthe function is not a plugin

anymore.

Related issues:

Duplicates QGIS Application - Bug report # 8629: QGIS Dufour 2.0.1 32 or 64 c... Closed 2013-09-18

History

#1 - 2013-09-21 11:04 AM - Chris Crook

The delimited text capability was moved to core in 2.0 - somehow the old plugin is still be packaged with OSGeo4w

#2 - 2013-09-21 12:21 PM - Giovanni Manghi

- Target version changed from Future Release - High Priority to Version 2.0.0

- Priority changed from Normal to Severe/Regression

it has already been noticed by the devs

http://lists.osgeo.org/pipermail/qgis-developer/2013-September/028474.html

hopefully a new installer will be made.

PS

In qgis master this has already been "fixed", and many core plugins were removed and the "Add Delimited Text" tool does not show anymore as a plugin

#3 - 2013-09-24 11:29 PM - Jukka Rahkonen

As a result of this packaging problem I could not start at all brand new QGIS 2.0.1 by running the Windows installer 

http://qgis.org/downloads/QGIS-OSGeo4W-2.0.1-Setup-x86.exe

Two other users verified the problem on QGIS users mailing list soon.

If it will take some time to update the installer I would suggest to add a visible warning somewhere close to the download link to tell about this problem and

that a workaround is to delete the file [QGIS_installation_directory]\\apps\\qgis\\plugins\\delimitedtextplugin.dll before launching QGIS.
The install button is advertised for the new users and even I am not a total newbie it took me a few hours to discover what was the problem. A regular new

user would have turned away mumbling that QGIS 2.0 is another typical piece of Open Source GIS and useless on Windows because it does not even

start.

Jukka Rahkonen

#4 - 2013-09-25 12:19 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to fixed

jratike80 - wrote:

As a result of this packaging problem I could not start at all brand new QGIS 2.0.1 by running the Windows installer 

http://qgis.org/downloads/QGIS-OSGeo4W-2.0.1-Setup-x86.exe

Two other users verified the problem on QGIS users mailing list soon.

2.0.1-2 already fixed this problem.

#5 - 2013-09-25 12:28 AM - Bo Victor Thomsen

- File qgiserror.png added

As a followup on Jukka's observations, I've tried to do the same on my 64 bit windows installation of QGIS 2.0.1. Which, by the way, crashed every time I

tried to start it. After I removed "delimitedtextplugin.dll" as by Jussi's directions on the user list, I was able to start QGIS. During startup, I did get a error

message. After dismissing it, QGIS starts and is working. Error message is included as a png file to this post

I would suggest a cleanup of both the 32-bit and 64-bit standalone installation packages as fast as possible.

Regards

Bo Victor Thomsen

Aestas-GIS

Denmark

using Windows 8

#6 - 2013-09-25 01:09 AM - Jürgen Fischer

Bo Victor Thomsen wrote:

I would suggest a cleanup of both the 32-bit and 64-bit standalone installation packages as fast as possible.

So 2.0.1-2 still has that problem?   The old plugin is definitely gone.

#7 - 2013-10-01 04:47 AM - Bo Victor Thomsen

Sorry I'm late to the party Jürgen -
QGIS 2.0.1-2 64 bit works fine. I do get an error-dialog which contains a blurb about error "R6034" (I think, it's related to a missing manifest in some C++

module. It has been reported in another bug-report).  After dismissing this dialog QGIS runs fine.

Regards Bo Victor Thomsen

Files

qgiserror.png 13.6 KB 2013-09-24 Bo Victor Thomsen
